/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { NativeUIComponent } from "./NativeUIComponent";
import { enumGetBox, EnumUtil, markType } from "./type";
import { NativeUICheckboxListIndexType_$type } from "./NativeUICheckboxListIndexType";
import { ControlDisplayDensity_$type } from "./ControlDisplayDensity";
/**
 * @hidden
 */
var NativeUICheckboxList = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(NativeUICheckboxList, _super);
    function NativeUICheckboxList() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.bq = null;
        _this.bn = null;
        _this.bo = null;
        _this.bp = null;
        _this.bw = null;
        _this.by = null;
        return _this;
    }
    Object.defineProperty(NativeUICheckboxList.prototype, "bm", {
        get: function () {
            return this.d;
        },
        enumerable: false,
        configurable: true
    });
    NativeUICheckboxList.prototype.get_e = function () {
        return 16;
    };
    Object.defineProperty(NativeUICheckboxList.prototype, "bu", {
        get: function () {
            return this.bq;
        },
        set: function (a) {
            var b = this.bq;
            this.bq = a;
            if (this.bq != b) {
                if (b != null) {
                    this.a2(20, b);
                }
                if (this.bq != null) {
                    this.aq(20, this.bq);
                }
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NativeUICheckboxList.prototype, "br", {
        get: function () {
            return this.bn;
        },
        set: function (a) {
            var b = this.bn;
            this.bn = a;
            if (this.bn != b) {
                if (b != null) {
                    this.a2(2, b);
                }
                if (this.bn != null) {
                    this.aq(2, this.bn);
                }
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NativeUICheckboxList.prototype, "bs", {
        get: function () {
            return this.bo;
        },
        set: function (a) {
            var b = this.bo;
            this.bo = a;
            if (this.bo != b) {
                if (b != null) {
                    this.a2(18, b);
                }
                if (this.bo != null) {
                    this.aq(18, this.bo);
                }
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NativeUICheckboxList.prototype, "bt", {
        get: function () {
            return this.bp;
        },
        set: function (a) {
            var b = this.bp;
            this.bp = a;
            if (this.bp != b) {
                if (b != null) {
                    this.a2(19, b);
                }
                if (this.bp != null) {
                    this.aq(19, this.bp);
                }
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NativeUICheckboxList.prototype, "bx", {
        get: function () {
            return this.bw;
        },
        set: function (a) {
            var b = this.bw;
            this.bw = a;
            if (this.bw != b) {
                if (b != null) {
                    this.a2(22, b);
                }
                if (this.bp != null) {
                    this.aq(22, this.bw);
                }
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NativeUICheckboxList.prototype, "bz", {
        get: function () {
            return this.by;
        },
        set: function (a) {
            var b = this.by;
            this.by = a;
            if (this.by != b) {
                if (b != null) {
                    this.a2(26, b);
                }
                if (this.bp != null) {
                    this.aq(26, this.by);
                }
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NativeUICheckboxList.prototype, "b5", {
        get: function () {
            var a = this.ag(8);
            return a;
        },
        set: function (a) {
            this.a4(8, a);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NativeUICheckboxList.prototype, "b1", {
        get: function () {
            var a = this.ag(114);
            return a;
        },
        set: function (a) {
            this.a4(114, a);
        },
        enumerable: false,
        configurable: true
    });
    NativeUICheckboxList.prototype.cd = function () {
        this.bm.refresh(this.am);
    };
    Object.defineProperty(NativeUICheckboxList.prototype, "cf", {
        get: function () {
            var a = this.ag(23);
            return a;
        },
        set: function (a) {
            this.a4(23, a);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NativeUICheckboxList.prototype, "b6", {
        get: function () {
            var a = this.ag(76);
            return a;
        },
        set: function (a) {
            this.a4(76, a);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NativeUICheckboxList.prototype, "b9", {
        get: function () {
            var a = this.ag(77);
            return a;
        },
        set: function (a) {
            this.a4(77, a);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NativeUICheckboxList.prototype, "b8", {
        get: function () {
            var a = this.ag(75);
            return a;
        },
        set: function (a) {
            this.a4(75, a);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NativeUICheckboxList.prototype, "b7", {
        get: function () {
            var a = this.ag(78);
            return a;
        },
        set: function (a) {
            this.a4(78, a);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NativeUICheckboxList.prototype, "bv", {
        get: function () {
            var a = this.ag(99);
            return EnumUtil.getEnumValue(NativeUICheckboxListIndexType_$type, a);
        },
        set: function (a) {
            this.a4(99, enumGetBox(NativeUICheckboxListIndexType_$type, a));
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NativeUICheckboxList.prototype, "bl", {
        get: function () {
            var a = this.ag(1);
            return EnumUtil.getEnumValue(ControlDisplayDensity_$type, a);
        },
        set: function (a) {
            this.a4(1, enumGetBox(ControlDisplayDensity_$type, a));
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NativeUICheckboxList.prototype, "b2", {
        get: function () {
            var a = this.ag(79);
            return a;
        },
        set: function (a) {
            this.a4(79, a);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NativeUICheckboxList.prototype, "bk", {
        get: function () {
            var a = this.ag(80);
            return a;
        },
        set: function (a) {
            this.a4(80, a);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NativeUICheckboxList.prototype, "cj", {
        get: function () {
            var a = this.ag(33);
            return a;
        },
        set: function (a) {
            this.a4(33, a);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NativeUICheckboxList.prototype, "cg", {
        get: function () {
            var a = this.ag(24);
            return a;
        },
        set: function (a) {
            this.a4(24, a);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NativeUICheckboxList.prototype, "ch", {
        get: function () {
            var a = this.ag(81);
            return a;
        },
        set: function (a) {
            this.a4(81, a);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NativeUICheckboxList.prototype, "ci", {
        get: function () {
            var a = this.ag(82);
            return a;
        },
        set: function (a) {
            this.a4(82, a);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NativeUICheckboxList.prototype, "b0", {
        get: function () {
            var a = this.ag(113);
            return a;
        },
        set: function (a) {
            this.a4(113, a);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NativeUICheckboxList.prototype, "b4", {
        get: function () {
            var a = this.ag(115);
            return a;
        },
        set: function (a) {
            this.a4(115, a);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NativeUICheckboxList.prototype, "b3", {
        get: function () {
            var a = this.ag(17);
            return a;
        },
        set: function (a) {
            this.a4(17, a);
        },
        enumerable: false,
        configurable: true
    });
    NativeUICheckboxList.prototype.cb = function () {
        this.bm.clearSelectedKeys(this.am);
    };
    NativeUICheckboxList.prototype.ca = function (a, b) {
        this.bm.addSelectedKey(this.am, a, b);
    };
    NativeUICheckboxList.prototype.cc = function (a, b, c) {
        this.bm.insertSelectedKey(this.am, a, b, c);
    };
    NativeUICheckboxList.prototype.ce = function (a) {
        this.bm.removeSelectedKeyAt(this.am, a);
    };
    NativeUICheckboxList.$t = markType(NativeUICheckboxList, 'NativeUICheckboxList', NativeUIComponent.$);
    return NativeUICheckboxList;
}(NativeUIComponent));
export { NativeUICheckboxList };
